# adjust-date-to-timezone

adjust-date-to-timezone($arg as xs:date?) → xs:date?

Returns a date value equivalent to the original date, but with the timezone removed.

Arguments
| $arg | xs:date? | The input date
Result | xs:date?

adjust-date-to-timezone($arg as xs:date?, $timezone as xs:dayTimeDuration?) → xs:date?

Returns a date value equivalent to the original date, but adjusted to a different timezone.

Arguments
| $arg | xs:date? | The input date
| $timezone | xs:dayTimeDuration? | The new time zone, as an offset from UTC, or () to denote the implicit timezone
Result | xs:date?

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next